Wbemcli.IWbemContext (JNA API)

com.sun.jna.platform.win32.COM

## Class Wbemcli.IWbemContext

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.Wbemcli.IWbemContext

- All Implemented Interfaces:
    NativeMapped, IUnknown
  Enclosing interface:
    Wbemcli

      public static class Wbemcli.IWbemContext
      extends Unknown

  Optionally used to communicate additional context information to providers when submitting IWbemServices calls to WMI

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

      `Unknown.ByReference`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Guid.CLSID` | `CLSID_WbemContext`
    `static Guid.GUID` | `IID_IWbemContext`

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `IID_IUNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IWbemContext()`
    `IWbemContext(Pointer pvInstance)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Wbemcli.IWbemContext` | `create()`
    `void` | `SetValue(java.lang.String wszName, int lFlag, boolean pValue)`
    `void` | `SetValue(java.lang.String wszName, int lFlag, java.lang.String pValue)`
    `void` | `SetValue(java.lang.String wszName, int lFlag, Variant.VARIANT pValue)`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

      `AddRef, QueryInterface, Release`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

      `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CLSID_WbemContext

          public static final Guid.CLSID CLSID_WbemContext

    - #### IID_IWbemContext

          public static final Guid.GUID IID_IWbemContext

  - ### Constructor Detail

    - #### IWbemContext

          public IWbemContext()

    - #### IWbemContext

          public IWbemContext(Pointer pvInstance)

  - ### Method Detail

    - #### create

          public static Wbemcli.IWbemContext create()

    - #### SetValue

          public void SetValue(java.lang.String wszName,
                               int lFlag,
                               Variant.VARIANT pValue)

    - #### SetValue

          public void SetValue(java.lang.String wszName,
                               int lFlag,
                               boolean pValue)

    - #### SetValue

          public void SetValue(java.lang.String wszName,
                               int lFlag,
                               java.lang.String pValue)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.